# HouseAnimationBase Struct Reference

Helper class for animation control. More...

Inheritance diagram for HouseAnimationBase:

## Static Public Attributes
static const CallbackID | cb_animation_speed = CBID_HOUSE_ANIMATION_SPEED
static const CallbackID | cb_animation_next_frame = CBID_HOUSE_ANIMATION_NEXT_FRAME
static const HouseCallbackMask | cbm_animation_speed = CBM_HOUSE_ANIMATION_SPEED
static const HouseCallbackMask | cbm_animation_next_frame = CBM_HOUSE_ANIMATION_NEXT_FRAME

## Detailed Description

Helper class for animation control.

Definition at line 477 of file newgrf_house.cpp.

The documentation for this struct was generated from the following file:

- src/newgrf_house.cpp